Bug 1180601 - "WSDL file from Java" stucks when project building is in progress
Summary: "WSDL file from Java" stucks when project building is in progress
Keywords:
Status: NEW
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Tooling
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Brian Fitzpatrick
QA Contact: Len DiMaggio
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-09 14:44 UTC by Andrej Podhradsky
Modified: 2018-09-12 22:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When using JBoss Developer Studio, if a user attempts to generate a WSDL file from a Java interface while the workspace is building, the wizard blocks the whole IDE since it is waiting for background operations to complete. Usually there is a red button that can be used to terminate the current process; however it is not available in this instance. As a workaround users should wait until the workspace is built before generating a WSDL file from a Java interface.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat One Jira Issue Tracker SWITCHYARD-2492 Major Open "WSDL file from Java" stucks when project building is in progress 2015-12-01 15:06:48 UTC

Description Andrej Podhradsky 2015-01-09 14:44:23 UTC
Description of problem:
When we try to generate WSDL from Java and the project building is in progress, the wizard blocks the whole IDE since it is waiting for background operations to complete.

There are two possible solutions:

* Allow a user to cancel the WSDL generating
* If the process detects that it cannot be executed, just pop up an info message about that and do not open the wizard for generating WSDL

Version-Release number of selected component (if applicable):
JBDS 8.0.1.GA + JBDSIS 8.0.0.Beta2a (contains SwitchYard 2.0.0.v20141219-2309-H527-Beta1)

How reproducible:
always

Steps to Reproduce:
1. Import many projects (so that the build takes some time)
2. Select Project > Clean
3. Wait until the workspace starts building
4. Now, try to generate WSDL file from any Java interface (the workspace is still building, ensure that there is a running job at the right bottom corner)

Actual results:


Expected results:


Additional info:

Comment 1 Aileen 2015-03-02 17:24:18 UTC
This is an edge case, it won't make 6.2 release.

Comment 2 belong 2015-03-04 05:49:59 UTC
Pretty sure this happens to me all the time, not just when generating a WSDL file. The tooling always seems to be waiting for workspace build before you can do anything significant. What should we write about it?

Comment 3 Andrej Podhradsky 2015-03-04 08:12:05 UTC
Perhaps I should make that clearer by saying that this issue is not only about waiting on background processes but the problem here is that there is no red button to terminate current process (usually the red button is available and enabled).

If you see other wizards which block the IDE and there's no way how to cancel them then probably it is a bug which should be reported.

Have you encountered such wizards? If yes, please let us know about them.

Comment 4 belong 2015-03-04 23:51:06 UTC
Oh, I see, Andrej. Thank you for clarifying. No, I haven't encountered this behavior before.

Regards,
Ben

Comment 5 Len DiMaggio 2015-03-16 15:30:51 UTC
This is definitely an edge case and the IDE doesn't hangs immediately (after 5th cycle the response of the IDE is slower and slower).

This is very uncommon use case and was discovered by our test ;-)

Comment 6 belong 2015-03-16 22:42:56 UTC
Marked as requires_doc_text+ to go into release notes for 6.2.

Len, please review the Doc Text.

Regards,
Ben

Comment 7 Len DiMaggio 2015-03-17 16:12:50 UTC
Looks good!


Note You need to log in before you can comment on or make changes to this bug.